<?php
/**
 * Better Morning functions and definitions
 *
 * @link https://developer.wordpress.org/themes/basics/theme-functions/
 *
 * @package Better_Morning
 */
define("CSS_PATH",get_template_directory_uri()."/assets/css/");
define("JS_PATH",get_template_directory_uri()."/assets/js/");
define("IMAGE_PATH",get_template_directory_uri()."/assets/");

if ( ! function_exists( 'better_morning_setup' ) ) :
	/**
	 * Sets up theme defaults and registers support for various WordPress features.
	 *
	 * Note that this function is hooked into the after_setup_theme hook, which
	 * runs before the init hook. The init hook is too late for some features, such
	 * as indicating support for post thumbnails.
	 */
	function better_morning_setup() {
		/*
		 * Make theme available for translation.
		 * Translations can be filed in the /languages/ directory.
		 * If you're building a theme based on Better Morning, use a find and replace
		 * to change 'better_morning' to the name of your theme in all the template files.
		 */
		load_theme_textdomain( 'better_morning', get_template_directory() . '/languages' );

		// Add default posts and comments RSS feed links to head.
		add_theme_support( 'automatic-feed-links' );

		/*
		 * Let WordPress manage the document title.
		 * By adding theme support, we declare that this theme does not use a
		 * hard-coded <title> tag in the document head, and expect WordPress to
		 * provide it for us.
		 */
		add_theme_support( 'title-tag' );

		/*
		 * Enable support for Post Thumbnails on posts and pages.
		 *
		 * @link https://developer.wordpress.org/themes/functionality/featured-images-post-thumbnails/
		 */
		add_theme_support( 'post-thumbnails' );

		// This theme uses wp_nav_menu() in one location.
		register_nav_menus( array(
			'menu-1' => esc_html__( 'Primary', 'better_morning' ),
		) );

		/*
		 * Switch default core markup for search form, comment form, and comments
		 * to output valid HTML5.
		 */
		add_theme_support( 'html5', array(
			'search-form',
			'comment-form',
			'comment-list',
			'gallery',
			'caption',
		) );

		// Set up the WordPress core custom background feature.
		add_theme_support( 'custom-background', apply_filters( 'better_morning_custom_background_args', array(
			'default-color' => 'ffffff',
			'default-image' => '',
		) ) );

		// Add theme support for selective refresh for widgets.
		add_theme_support( 'customize-selective-refresh-widgets' );

		/**
		 * Add support for core custom logo.
		 *
		 * @link https://codex.wordpress.org/Theme_Logo
		 */
		add_theme_support( 'custom-logo', array(
			'height'      => 250,
			'width'       => 250,
			'flex-width'  => true,
			'flex-height' => true,
		) );
	}
endif;
add_action( 'after_setup_theme', 'better_morning_setup' );

/**
 * Set the content width in pixels, based on the theme's design and stylesheet.
 *
 * Priority 0 to make it available to lower priority callbacks.
 *
 * @global int $content_width
 */
function better_morning_content_width() {
	// This variable is intended to be overruled from themes.
	// Open WPCS issue: {@link https://github.com/WordPress-Coding-Standards/WordPress-Coding-Standards/issues/1043}.
	// phpcs:ignore WordPress.NamingConventions.PrefixAllGlobals.NonPrefixedVariableFound
	$GLOBALS['content_width'] = apply_filters( 'better_morning_content_width', 640 );
}
add_action( 'after_setup_theme', 'better_morning_content_width', 0 );

/**
 * Register widget area.
 *
 * @link https://developer.wordpress.org/themes/functionality/sidebars/#registering-a-sidebar
 */
function better_morning_widgets_init() {
	register_sidebar( array(
		'name'          => esc_html__( 'Sidebar', 'better_morning' ),
		'id'            => 'sidebar-1',
		'description'   => esc_html__( 'Add widgets here.', 'better_morning' ),
		'before_widget' => '<section id="%1$s" class="widget %2$s">',
		'after_widget'  => '</section>',
	
	) );
}
add_action( 'widgets_init', 'better_morning_widgets_init' );

function better_morning_widgets_init2() {
	register_sidebar( array(
		'name'          => esc_html__( 'Sidebar 2', 'better_morning' ),
		'id'            => 'sidebar-2',
		'description'   => esc_html__( 'Add widgets here.', 'better_morning' ),
		'before_widget' => '<section id="%1$s" class="widget %2$s">',
		'after_widget'  => '</section>',

	) );
}
add_action( 'widgets_init', 'better_morning_widgets_init2' );

/**
 * Enqueue scripts and styles.
 */
function better_morning_scripts() {
	wp_enqueue_style( 'better_morning-style', get_stylesheet_uri() );
	wp_enqueue_style( 'vtd-css-Signika', 'https://fonts.googleapis.com/css?family=Signika:300,400,600,700', array( 'better_morning-style' ), '1.0' );
	wp_enqueue_style( 'vtd-css-font', CSS_PATH.'font-awesome.min.css', array( 'better_morning-style' ), '1.0' );
	wp_enqueue_style( 'vtd-css-line', CSS_PATH.'line-awesome.min.css', array( 'better_morning-style' ), '1.0' );
	wp_enqueue_style( 'vtd-css-animate', CSS_PATH.'animate.css', array( 'better_morning-style' ), '1.0' );
	//wp_enqueue_style( 'vtd-css-menu', CSS_PATH.'menu.css', array( 'better_morning-style' ), '1.0' );
	wp_enqueue_style( 'vtd-css-bxslider', CSS_PATH.'jquery.bxslider.css', array( 'better_morning-style' ), '1.0' );
	wp_enqueue_style( 'vtd-css-owl', CSS_PATH.'owl.theme.default.min.css', array( 'better_morning-style' ), '1.0' );
	wp_enqueue_style( 'vtd-css-carousel', CSS_PATH.'owl.carousel.min.css', array( 'better_morning-style' ), '1.0' );
	wp_enqueue_style( 'vtd-css-easy', CSS_PATH.'easy-responsive-tabs.css', array( 'better_morning-style' ), '1.0' );
	wp_enqueue_style( 'vtd-css-dcaccordion', CSS_PATH.'dcaccordion.css', array( 'better_morning-style' ), '1.0' );
	wp_enqueue_style( 'vtd-css-bootstrap', CSS_PATH.'bootstrap.min.css', array( 'better_morning-style' ), '1.0' );
	wp_enqueue_style( 'vtd-css-main', CSS_PATH.'main.css', array( 'better_morning-style' ), '1.0' );
	wp_enqueue_style( 'vtd-css-responsiv', CSS_PATH.'responsiv.css', array( 'better_morning-style' ), '1.0' );


	wp_enqueue_script( 'better_morning-navigation', get_template_directory_uri() . '/js/navigation.js', array(), '20151215', true );
	wp_enqueue_script( 'vtd-script-bootstrap', JS_PATH.'vendor/bootstrap.min.js' , array( 'jquery' ), '1.0', true );
	wp_enqueue_script( 'vtd-script-dcjqaccordion', JS_PATH.'vendor/jquery.dcjqaccordion.2.7.min.js' , array( 'jquery' ), '1.0', true );
	wp_enqueue_script( 'vtd-script-hoverIntent', JS_PATH.'vendor/jquery.hoverIntent.minified.js' , array( 'jquery' ), '1.0', true );
	wp_enqueue_script( 'vtd-script-cookie', JS_PATH.'vendor/jquery.cookie.js' , array( 'jquery' ), '1.0', true );
	wp_enqueue_script( 'vtd-script-wow', JS_PATH.'vendor/wow.min.js' , array( 'jquery' ), '1.0', true );
	wp_enqueue_script( 'vtd-script-bxslider', JS_PATH.'vendor/jquery.bxslider.min.js' , array( 'jquery' ), '1.0', true );
	wp_enqueue_script( 'vtd-script-owl', JS_PATH.'vendor/owl.carousel.min.js' , array( 'jquery' ), '1.0', true );
	wp_enqueue_script( 'vtd-script-easy', JS_PATH.'vendor/easy-responsive-tabs.js' , array( 'jquery' ), '1.0', true );
	wp_enqueue_script( 'vtd-script-main', JS_PATH.'main.js' , array( 'jquery' ), '1.0', true );



	wp_enqueue_script( 'better_morning-skip-link-focus-fix', get_template_directory_uri() . '/js/skip-link-focus-fix.js', array(), '20151215', true );

	if ( is_singular() && comments_open() && get_option( 'thread_comments' ) ) {
		wp_enqueue_script( 'comment-reply' );
	}
}
add_action( 'wp_enqueue_scripts', 'better_morning_scripts' );

/**
 * Implement the Custom Header feature.
 */
require get_template_directory() . '/inc/custom-header.php';

/**
 * Custom template tags for this theme.
 */
require get_template_directory() . '/inc/template-tags.php';

/**
 * Functions which enhance the theme by hooking into WordPress.
 */
require get_template_directory() . '/inc/template-functions.php';

/**
 * Customizer additions.
 */
require get_template_directory() . '/inc/customizer.php';

/**
 * Load Jetpack compatibility file.
 */
if ( defined( 'JETPACK__VERSION' ) ) {
	require get_template_directory() . '/inc/jetpack.php';
}

/**
 * Load WooCommerce compatibility file.
 */
if ( class_exists( 'WooCommerce' ) ) {
	require get_template_directory() . '/inc/woocommerce.php';
}

/**
 * VTD Framework - Theme Options
 */
require get_parent_theme_file_path( '/vtd-framework/theme_option/option.php' );

/**
 * VTD Framework - Theme Functions
 */
require get_parent_theme_file_path( '/vtd-framework/theme-functions.php' );

/**
 * VTD Framework - NAV Walker
 */
require get_parent_theme_file_path( '/vtd-framework/wp_bootstrap_navwalker.php' );

/**
 * Add new rewrite rule
 */
function create_new_url_querystring() {
    add_rewrite_rule(
        'blog/([^/]*)$',
        'index.php?name=$matches[1]',
        'top'
    );
    add_rewrite_tag('%blog%','([^/]*)');
}
add_action('init', 'create_new_url_querystring', 999 );
/**
 * Modify post link
 * This will print /blog/post-name instead of /post-name
 */
function append_query_string( $url, $post, $leavename ) {
	if ( $post->post_type == 'post' ) {		
		$url = home_url( user_trailingslashit( "blog/$post->post_name" ) );
	}
	return $url;
}
add_filter( 'post_link', 'append_query_string', 10, 3 );
/**
 * Redirect all posts to new url
 * If you get error 'Too many redirects' or 'Redirect loop', then delete everything below
 */
function redirect_old_urls() {
	if ( is_singular('post') ) {
		global $post;
		if ( strpos( $_SERVER['REQUEST_URI'], '/blog/') === false) {
		   wp_redirect( home_url( user_trailingslashit( "blog/$post->post_name" ) ), 301 );
		   exit();
		}
	}
}
add_filter( 'template_redirect', 'redirect_old_urls' );